Skip to main content
GET
/
polymarket
/
market
/
position
/
top-traders
Get top traders for a position id / outcome
curl --request GET \
  --url https://api.struct.to/v1/polymarket/market/position/top-traders
[
  {
    "trader": {
      "address": "<string>",
      "name": "<string>",
      "pseudonym": "<string>",
      "profile_image": "<string>",
      "x_username": "<string>",
      "verified_badge": true
    },
    "realized_pnl_usd": 123,
    "realized_pnl_pct": 123,
    "shares": 123,
    "buy_usd": 123,
    "sell_usd": 123,
    "redemption_usd": 123,
    "total_fees": 123,
    "avg_entry_price": 123,
    "avg_exit_price": 123,
    "total_buys": 123,
    "total_sells": 123,
    "won": true,
    "first_trade_at": 123,
    "last_trade_at": 123
  }
]

Query Parameters

position_id
string
required

Position ID (ERC1155 token ID)

status
enum<string>

Filter by position status (omit for all) Position status filter for open/closed positions.

Available options:
open,
closed
limit
integer<int32>

Results limit (default: 10, max: 200)

pagination_key
string

Pagination key from the previous response

Response

200 - application/json

Top traders sorted by realized PnL desc.

trader
object
required

Trader profile info - backwards compatibility

realized_pnl_usd
number<double> | null
realized_pnl_pct
number<double> | null
shares
number<double> | null
buy_usd
number<double> | null
sell_usd
number<double> | null
redemption_usd
number<double> | null
total_fees
number<double> | null
avg_entry_price
number<double> | null
avg_exit_price
number<double> | null
total_buys
integer<int64> | null
total_sells
integer<int64> | null
won
boolean | null
first_trade_at
integer<int64> | null
last_trade_at
integer<int64> | null
Last modified on April 25, 2026